Package it.ernytech.tdlib

## Class TdApi.MessageAnimation

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.MessageContent
    - - it.ernytech.tdlib.TdApi.MessageAnimation

Enclosing class:
  TdApi

    public static class TdApi.MessageAnimation
    extends TdApi.MessageContent

An animation message (GIF-style).

### Field Summary

Fields
`TdApi.Animation` `animation` Message content.
`TdApi.FormattedText` `caption` Animation caption.
`static int` `CONSTRUCTOR` Identifier uniquely determining type of the object.
`boolean` `isSecret` True, if the animation thumbnail must be blurred and the animation must be shown only while tapped.

### Constructor Summary

Constructors
`MessageAnimation()` Default constructor.
`MessageAnimation​(TdApi.Animation animation, TdApi.FormattedText caption, boolean isSecret)` Constructor for initialization of all fields.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getConstructor()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Object

`toString`

### Field Detail

#### animation

    public TdApi.Animation animation

Message content.

#### caption

    public TdApi.FormattedText caption

Animation caption.

#### isSecret

    public boolean isSecret

True, if the animation thumbnail must be blurred and the animation must be shown only while tapped.

#### CONSTRUCTOR

    public static final int CONSTRUCTOR

Identifier uniquely determining type of the object.

See Also:
  Constant Field Values

### Constructor Detail

#### MessageAnimation

    public MessageAnimation()

Default constructor.

#### MessageAnimation

    public MessageAnimation​(TdApi.Animation animation,
                            TdApi.FormattedText caption,
                            boolean isSecret)

Constructor for initialization of all fields.

Parameters:
  `animation` - Message content.
  `caption` - Animation caption.
  `isSecret` - True, if the animation thumbnail must be blurred and the animation must be shown only while tapped.

### Method Detail

#### getConstructor

    public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR